Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.depend.constantpool
Class InterfaceMethodRefCPInfo

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
          org.apache.tools.ant.taskdefs.optional.depend.constantpool.InterfaceMethodRefCPInfo

    public class InterfaceMethodRefCPInfo

extends ConstantPoolEntry

A InterfaceMethodRef CP Info

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
`CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_LONG, CONSTANT_METHODREF, CONSTANT_NAMEANDTYPE, CONSTANT_STRING, CONSTANT_UTF8`

Constructor Summary
`InterfaceMethodRefCPInfo()` Constructor.

Method Summary
`java.lang.String` | `getInterfaceMethodClassName()` Gets the name of the class defining the interface method
`java.lang.String` | `getInterfaceMethodName()` Get the name of the interface method
`java.lang.String` | `getInterfaceMethodType()` Gets the type of the interface method
`void` | `read(java.io.DataInputStream cpStream)` read a constant pool entry from a class stream.
`void` | `resolve(ConstantPool constantPool)` Resolve this constant pool entry with respect to its dependents in the constant pool.
`java.lang.String` | `toString()` Print a readable version of the constant pool entry.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
`getNumEntries, getTag, isResolved, readEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterfaceMethodRefCPInfo

    public InterfaceMethodRefCPInfo()

  Constructor.

Method Detail

### read

    public void read(java.io.DataInputStream cpStream)
              throws java.io.IOException

  read a constant pool entry from a class stream.

  Specified by:
    `read` in class `ConstantPoolEntry`
  Parameters:
    `cpStream` - the DataInputStream which contains the constant pool entry to be read.
  Throws:
    `java.io.IOException` - if there is a problem reading the entry from the stream.

### resolve

    public void resolve(ConstantPool constantPool)

  Resolve this constant pool entry with respect to its dependents in the constant pool.

  Overrides:
    `resolve` in class `ConstantPoolEntry`
  Parameters:
    `constantPool` - the constant pool of which this entry is a member and against which this entry is to be resolved.

### toString

    public java.lang.String toString()

  Print a readable version of the constant pool entry.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this constant pool entry.

### getInterfaceMethodClassName

    public java.lang.String getInterfaceMethodClassName()

  Gets the name of the class defining the interface method

  Returns:
    the name of the class defining the interface method

### getInterfaceMethodName

    public java.lang.String getInterfaceMethodName()

  Get the name of the interface method

  Returns:
    the name of the interface method

### getInterfaceMethodType

    public java.lang.String getInterfaceMethodType()

  Gets the type of the interface method

  Returns:
    the interface method's type signature

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD